Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class FeedOpsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.FeedOpsTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestOpsAtom03, TestOpsAtom10, TestOpsRSS090, TestOpsRSS091N, TestOpsRSS091U, TestOpsRSS092, TestOpsRSS093, TestOpsRSS094, TestOpsRSS10, TestOpsRSS20

    public abstract class FeedOpsTest

extends FeedTest

Author:
  Alejandro Abdelnur

Constructor Summary
`protected` | `FeedOpsTest(String feedType)`

Method Summary
`void` | `testSyndFeedCloning()`
`void` | `testSyndFeedEquals()`
`void` | `testSyndFeedNotEqual()`
`void` | `testSyndFeedSerialization()`
`void` | `testWireFeedCloning()`
`void` | `testWireFeedEquals()`
`void` | `testWireFeedNotEqual()`
`void` | `testWireFeedSerialization()`
`void` | `testWireFeedSyndFeedConversion()`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeedOpsTest

    protected FeedOpsTest(String feedType)

Method Detail

### testWireFeedEquals

    public void testWireFeedEquals()
                            throws Exception

  Throws:
    `Exception`

### testWireFeedNotEqual

    public void testWireFeedNotEqual()
                              throws Exception

  Throws:
    `Exception`

### testWireFeedCloning

    public void testWireFeedCloning()
                             throws Exception

  Throws:
    `Exception`

### testWireFeedSerialization

    public void testWireFeedSerialization()
                                   throws Exception

  Throws:
    `Exception`

### testWireFeedSyndFeedConversion

    public void testWireFeedSyndFeedConversion()
                                        throws Exception

  Throws:
    `Exception`

### testSyndFeedEquals

    public void testSyndFeedEquals()
                            throws Exception

  Throws:
    `Exception`

### testSyndFeedNotEqual

    public void testSyndFeedNotEqual()
                              throws Exception

  Throws:
    `Exception`

### testSyndFeedCloning

    public void testSyndFeedCloning()
                             throws Exception

  Throws:
    `Exception`

### testSyndFeedSerialization

    public void testSyndFeedSerialization()
                                   throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.